Package tigase.server

## Enum QueueType

- java.lang.Object
- - java.lang.Enum<QueueType>
  - - tigase.server.QueueType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<QueueType>`

      public enum QueueType
      extends java.lang.Enum<QueueType>

  Created: Jun 8, 2009 1:53:38 PM
  Author:
    Artur Hefczyc

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `IN_QUEUE` |
    `OUT_QUEUE` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static QueueType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static QueueType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### IN_QUEUE

          public static final QueueType IN_QUEUE

    - #### OUT_QUEUE

          public static final QueueType OUT_QUEUE

  - ### Method Detail

    - #### values

          public static QueueType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (QueueType c : QueueType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static QueueType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null